# wimermedia-infrastructure
This deploys my wordpress/mysql site to digital ocean with terraform and ansible.

## Requirements
1. python
2. pip
3. DIGITALOCEAN_KEY environment variable
4. CLOUDFLARE_KEY environment variable

## Usage
Deployment script (is idempotent):
```shell
bash deploy.sh
```

Destroy script:
```shell
bash destroy.sh
```

## How's it work?
1. Deploys infrastructure and updates A record in cloudflare with Terraform.
2. Configures infrastructure with pipenv and ansible. Ansible uses a dynamic inventory file that reads Terraform state and separates host groups based on tags in digital ocean.